Error when start new project

Hi guys I tray set up a new project I just use ionic start name sidemenu

but I have a error


some one can help me? I am new in this thanks

1 Like

Do you have git installed on your computer?

Yes I do I have install it

Something doesn’t work with it as it should.

Your ionic info output please.

Sorry I am new how I can get that information???

Type ionic info in your command line.

Hi, i have the same error and my ionic information is as such:
C:\Users\user>ionic info
[WARN] You are not in an Ionic project directory. Project context may be missing.

global packages:

@ionic/cli-utils : 1.4.0
Ionic CLI        : 3.4.0

System:

Node       : v6.11.0
OS         : Windows 10
Xcode      : not installed
ios-deploy : not installed
ios-sim    : not installed
npm        : 3.10.10

I just began using Ionic a few weeks ago and just a couple of days ago could create projects easily as I was learning the process / framework.

Now today I decide I’m ready to start my real project and of course nothing works. First I was getting strange git errors. Re installed everything and now down to the same error reported here.

@ionic/cli-utils : 1.4.0
Ionic CLI : 3.4.0
System:
Node : v6.11.0
OS : Windows 10
Xcode : not installed
ios-deploy : not installed
ios-sim : not installed
npm : 5.04

While this error was slightly different from the one I was getting they are same fail point in npm -debug.log

1490 silly fetchPackageMetaData error for bonjour@github:resin-io/bonjour Command failed: C:\Program Files\Git\cmd\git.EXE submodule update -q --init --recursive
1490 silly fetchPackageMetaData fatal: ‘submodule’ appears to be a git command, but we were not
1490 silly fetchPackageMetaData able to execute it. Maybe git-submodule is broken?

I am getting the same problem. Previously I was able to create a project using ionic start appName tabs but now it fails. Here’s what I get when I run npm info within the project folder.

S:\dev\myApp>npm info
npm ERR! Windows_NT 6.1.7601
npm ERR! argv “S:\Program Files\nodejs\node.exe” “S:\Program Files\nodejs\node_modules\npm\bin\npm-cli.js” "inf
o"
npm ERR! node v6.10.3
npm ERR! npm v3.10.10
npm ERR! code E404

npm ERR! 404 Registry returned 404 for GET on https://registry.npmjs.org/myApp
npm ERR! 404
npm ERR! 404 ‘myApp’ is not in the npm registry.
npm ERR! 404 You should bug the author to publish it (or use the name yourself!)
npm ERR! 404
npm ERR! 404 Note that you can also install from a
npm ERR! 404 tarball, folder, http url, or git url.

npm ERR! Please include the following file with any support request:
npm ERR! S:\dev\myApp\npm-debug.log

Outside of project file npm info dives this output

S:\dev>ionic info
[WARN] You are not in an Ionic project directory. Project context may be missing.

global packages:

@ionic/cli-utils : 1.4.0
Ionic CLI        : 3.4.0

System:

Node       : v6.10.3
OS         : Windows 7
Xcode      : not installed
ios-deploy : not installed
ios-sim    : not installed
npm        : 3.10.10

@mosesmatt

I have the same issue as you. Hopefully we’ll find a way.

I have the same problem

for the past few weeks I can start blank projects with such commands without any errors.
Today, I’ve tried to start a new testProject and error occurs.

  • started to check the versions of node.js/npm/git, as they are not on the latest version, I updated all of them,restarted the computer and issue a new project command but problem still there.

Its just weird that after playing with ionic last 2 weeks and just a weekend of restday without any tweaks on the configuration it suddenly outputted this error messages now.

@ionic/cli-utils : 1.4.0
ionic cli : 3.4.0

node : 8.1.2
OS : Windows
npm: 5.0.4

Seems a global problem. None of my workmates are able to create any new Ionic project on their machines. But they can create new Angular projects or other project types.

I have the same problem. On there git page there are others with the problem as wel.

Hi guys any solution ? can be the the ionic cli issue them ? or repositories issue, if no another way for create a ionic project ?.

have you check the debug.log

I’m checking all of it from 2 different computers and its always failing on the bonjour@github:resin-io/bonjour

like this

1482 silly fetchPackageMetaData error for bonjour@github:resin-io/bonjour Command failed: C:\Program Files\Git\cmd\git.EXE submodule update -q --init --recursive

Well guys I use the terminal of the git I run the same code and now is working, but when I try do it from the windows terminal I have the error. So I use the git terminal for scape this error, I don’t kown this is the solution but is work for my now

1 Like

Hey yall! Could anyone please tell me if they have git installed and if it’s available from ever terminal?

sorry I understand ?